Subject: [rohc] Two questions about GRE in List Compression

From: wangguiping <[email-masked]>
Date: Tue, 24 Jul 2007 03:47:17 +0000 (GMT)

Hello,ROHCers, 

I have two questions about GRE in List Compression:

1) It is said that IPv6 as delivery and/or payload protocol is not included in the currently deployed versions of 

GRE [RFC2784]. Whether should we deal with the case of IPv6 as delivery and/or payload protocol or not? If we have 

to do this, how should we do? RFC3095 doesn't describe this clearly.

2) When IPv4 as the payload protocol in GRE, the Protocol Type field should be 0x800 [RFC2784]. In this case, what

value should be set in the one-octet Next Header field of umcompressed GRE list item, as described in section 5.8.4.4 

of RFC3095? If we set 47 to this field, how could we get the type of the payload protocol? If we set the low 8 bits of 

Protocol Type field of GRE to this field, which is equal to 0, how should we recover the 16-bit Protocol Type field in 

GRE?

I'm very sorry if this troubles you, but I really want to get help from you^__^ 

Thank you!

Best regards

William Wang

Hello,ROHCers, 

I have two questions about GRE in List Compression:

1) It is said that IPv6 as delivery and/or payload protocol is not included in the currently deployed versions of 

GRE [RFC2784]. Whether should we deal with the case of IPv6 as delivery and/or payload protocol or not? If we have 

to do this, how should we do? RFC3095 doesn't describe this clearly.

2) When IPv4 as the payload protocol in GRE, the Protocol Type field should be 0x800 [RFC2784]. In this case, what

value should be set in the one-octet Next Header field of umcompressed GRE list item, as described in section 5.8.4.4 

of RFC3095? If we set 47 to this field, how could we get the type of the payload protocol? If we set the low 8 bits of 

Protocol Type field of GRE to this field, which is equal to 0, how should we recover the 16-bit Protocol Type field in 

GRE?

I'm very sorry if this troubles you, but I really want to get help from you^__^ 

Thank you!

Best regards

William Wang

Hello,ROHCers, 

I have two questions about GRE in List Compression:

1) It is said that IPv6 as delivery and/or payload protocol is not included in the currently deployed versions of 

GRE [RFC2784]. Whether should we deal with the case of IPv6 as delivery and/or payload protocol or not? If we have 

to do this, how should we do? RFC3095 doesn't describe this clearly.

2) When IPv4 as the payload protocol in GRE, the Protocol Type field should be 0x800 [RFC2784]. In this case, what

value should be set in the one-octet Next Header field of umcompressed GRE list item, as described in section 5.8.4.4 

of RFC3095? If we set 47 to this field, how could we get the type of the payload protocol? If we set the low 8 bits of 

Protocol Type field of GRE to this field, which is equal to 0, how should we recover the 16-bit Protocol Type field in 

GRE?

I'm very sorry if this troubles you, but I really want to get help from you^__^ 

Thank you!

Best regards

William Wang

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc